# use saslauth group if
%define SASLGROUP 0
%{?_with_saslgroup: %{expand: %%define SASLGROUP 1}}

# preforking cyrus.conf as default
%define PREFORK 1
%{?_without_prefork: %{expand: %%define PREFORK 0}}

# enable idled (default no)
%define IDLED 1
%{?_with_idled: %{expand: %%define IDLED 1}}

# enable automatic mailbox creation on deliver (default no):
%define build_autocreate 1
%{?_without_autocreate: %define build_autocreate 0}

# create on demand folder requested by sieve filter (default no):
%define build_autosieve 1
%{?_without_autosieve: %define build_autosieve 0}

# remove quota files extension:
%define build_rmquota 0
%{?_with_rmquota: %define build_rmquota 1}
 
# snmp support
%global with_snmp 1
%{?_without_snmp: %global with_snmp 0}

# ldap/pts support
%global with_ldap 1
%{?_without_ldap: %global with_ldap 0}

%global with_mysql 1
%{?_without_mysql: %global with_mysql 0}

%global with_pgsql 1
%{?_without_pgsql: %global with_pgsql 0}

%global with_sqlite 1
%{?_without_sqlite: %global with_sqlite 0}

# virtual domains in LDAP support
# needed by Kolab2
##%define build_virtualdomains_in_ldap 1
##%{?_without_virtualdomains_in_ldap: %define build_virtualdomains_in_ldap 0}

Summary:	A high-performance mail store with IMAP and POP3 support
Name:		cyrus-imapd
Version:	2.4.18
Release:	%mkrel 1
License:	OSI Approved
Group:		System/Servers
URL:		http://asg.web.cmu.edu/cyrus/imapd/
Source0:	ftp://ftp.cyrusimap.org/cyrus-imapd/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.cyrusimap.org/cyrus-imapd//%{name}-%{version}.tar.gz.sig
Source2:	cyrus-procmailrc
Source4:	cyrus-user-procmailrc.template
Source6:	cyrus-imapd.imap-2.1.x-conf
Source7:	cyrus-imapd.pamd-0.77
Source8:	cyrus-imapd.pamd
Source10:	cyrus-imapd.service
Source12:	cyrus-imapd.sysconfig
Source13:       http://clement.hermann.free.fr/scripts/Cyrus/imapcreate.pl
Source14:       cyrus-imapd.README.RPM
Source15:	cyrus-imapd.cvt_cyrusdb_all
Source19:	cyrus-imapd-procmail+cyrus.mc
Source20:	cyrus-imapd.cron-daily
Source21:	http://ftp.andrew.cmu.edu/pub/net/mibs/cmu/cmu.mib
Source22:	cyr_systemd_helper
# This patch fixes the perl install path for mdk9.0 and later
Patch1:		cyrus-imapd-mdk9.0perl-patch
# cyrus-master instead of master in syslog
Patch2:		cyrus-imapd-logident.patch
# (cg) Updated auto* patches for 2.4.x found via:
# https://blog.vx.sk/archives/13-Autocreate-and-autosieve-patches-for-Cyrus-IMAP-Server-24.html
# available here; http://www.vx.sk/download/patches/cyrus-imapd/
# Autocreate INBOX patch (http://email.uoa.gr/projects/cyrus/autocreate/)
Patch3:	http://www.vx.sk/download/patches/cyrus-imapd/cyrus-imapd-2.4.4-autocreate-0.10-0.patch
# The last activity upstream on this: Dec, 22 2009 : Autosieve patch (version 0.6) released for Cyrus IMAPd 2.3.16 
# Removed this patch with vers. 2.4.18. It doesn't build with it and neither Fedora nor opensuse uses it.
# Patch4:	http://www.vx.sk/download/patches/cyrus-imapd/cyrus-imapd-2.4.12-autosieve-0.6.0.patch
# Remove QUOTA patch (http://email.uoa.gr/projects/cyrus/quota-patches/rmquota/)
Patch5:	http://email.uoa.gr/download/cyrus/cyrus-imapd-2.3.9/cyrus-imapd-2.3.9-rmquota-0.5-0.diff
# command line switch to disallow plaintext login
Patch6:	cyrus-imapd-2.4.17-plaintext-cmd-line.patch
# (oe) for kolab2: Patch to support virtdomains: ldap (parse domain from "email" field an LDAP user entry)
# Patch8:	cyrus-imapd-kolab-ldap.diff
# (bluca) add ptloader to cyrus.conf 
Patch10:	cyrus-imapd-ptloader-conf.diff
# (bluca) fix LDAP_OPT_X_SASL_SECPROPS error in ptloader
Patch11:	cyrus-imapd-ptloader-secprops.diff
# remove verbosity of some syslog messages (simon matter)
Patch13:	cyrus-imapd-2.1.16-getrlimit.patch
Patch14:	cyrus-imapd-2.3.12-skiplist_verbosity.patch
# Other patches from simon matter
Patch17:	cyrus-imapd-2.3.7-mancyrusdb.patch
Patch18:	cyrus-imapd-2.3.13-make_md5_sha1_dirs.patch
Patch19:	cyrus-imapd-2.3.11-mkimap.patch
Patch21:	cyrus-imapd-2.3.16-sieve_port.patch
Patch22:	cyrus-imapd.2.4.17-user_deny.db-silence.patch
Patch23:        prefork-conf-chroot.patch
#Requires:	krb5-libs
Requires(pre):	/usr/sbin/useradd /usr/sbin/groupadd
Requires(preun):/usr/sbin/userdel /usr/sbin/groupdel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

Provides:	imap
Provides:	imap-server
BuildRequires:	autoconf
BuildRequires:	libsasl-devel >= 2.1.15
BuildRequires:	ext2fs-devel
BuildRequires:	perl-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	db-devel
BuildRequires:	openssl-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	groff >= 1.15-8
%if %{with_snmp}
BuildRequires:	net-snmp-devel >= 5.1
BuildRequires:  elfutils-devel
Requires:	net-snmp-mibs
%endif
%if %{with_ldap}
BuildRequires:	openldap-devel
%else
%if %{build_virtualdomains_in_ldap}
BuildRequires:	openldap-devel
%endif
%endif
%if %{with_mysql}
BuildRequires:	mysql-devel
%endif
%if %{with_pgsql}
BuildRequires:	postgresql-devel
%endif
%if %{with_sqlite}
BuildRequires:	sqlite3-devel
%endif

%if %{SASLGROUP}
%define		_saslgroup saslauth
%endif
%define		_cyrususer cyrus
%define		_cyrusgroup mail
%define		_vardata %{_var}/lib/imap
%define		_spooldata %{_var}/spool/imap
# (gb) stick to /usr/lib/cyrus-imapd as this is an existing practice
# from MDK 10.0 and below + /etc/init.d/cyrus-imapd would need to
# runtime-detect the libdir since this ought to be an arch-independent
# script.
%define		_cyrexecdir %{_prefix}/lib/cyrus-imapd
%define		_confdir master/conf
%if %{PREFORK}
%define		_cyrusconf %{_confdir}/prefork.conf
%else
%define		_cyrusconf %{_confdir}/normal.conf
%endif

%description
The Cyrus IMAP Server is a scaleable enterprise mail system
designed for use from small to large enterprise environments using
standards-based technologies.

A full Cyrus IMAP implementation allows a seamless mail and bulletin
board environment to be set up across multiple servers. It differs from
other IMAP server implementations in that it is run on "sealed"
servers, where users are not normally permitted to log in. The mailbox
database is stored in parts of the filesystem that are private to the
Cyrus IMAP system. All user access to mail is through software using
the IMAP, POP3, or KPOP protocols. TLSv1 and SSL are supported for
security.

This is the main package, install also the %{name}-utils package (it
contains server administration tools and depends on the perl-Cyrus
package).

%package	murder
Summary:	Cyrus IMAP server murder aggregator system files
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}

%description	murder
The %{name}-murder package contains the Cyrus murder aggregator system,
i.e. IMAP, POP3 and LMTP proxies, and the mupdate mailbox master daemon.
It allows for cluster setups where there are many backend Cyrus spools
and frontend proxy servers.

%package	nntp
Summary:	Cyrus IMAP server murder nntp support files
Group:		System/Servers
Requires:	%{name} = %{version}-%{release}
Conflicts:	leafnode

%description	nntp
Cyrus has the ability to export Usenet via IMAP and/or export shared
IMAP mailboxes via NNTP. This is made possible by a new NNTP daemon
which is included in this package.

%package	devel
Summary:	Cyrus IMAPd development files
Group:		Development/Other

%description	devel
This package contains header files and libraries necessary for 
developing applications which use the imclient library.

The main package is %{name}.

%package -n	perl-Cyrus
Summary:	Cyrus IMAPd utility Perl modules
Group:		Development/Perl

%description -n	perl-Cyrus
This package contains Perl modules necessary to use the Cyrus server
administrative utilities.

The main package is %{name}.

%package	utils
Summary:	Cyrus IMAPd server admin utilities
Group:		System/Servers
Requires:	perl-Cyrus = %{version}-%{release}

%description	utils
This package contains Cyrus IMAPd server administrative tools. It 
can be installed on systems other than the one running the server.

This package depends on the perl-Cyrus package.
The main package is %{name}.

%prep

%setup -q -n %{name}-%{version}
%patch1 -b .mdk9.0perl.orig
%patch2
%if %{build_autocreate}
%patch3 -p1 -b .autocreate.orig
%endif
%if %{build_rmquota}
%patch5 -p1 -b .rmquota.orig
%endif

%patch6 -p1 -F 4 -b .plaintext.orig

# (oe) for kolab2: Patch to support virtdomains: ldap (parse domain from "email" field an LDAP user entry)
# %if %{build_virtualdomains_in_ldap}
# %patch8 -p1 -b .kolab-ldap.orig
# %endif
%if %{with_ldap}
%patch10 -p1 -b .ptloader.orig
%endif
%patch11 -p1 -b .secprops.orig

%patch13 -p1 -b .getrlimit.orig
%patch14 -p1 -b .skiplist_verbosity.orig

# (cg) No loner applies (needs rediffing)
#patch17 -p1 -b .mancyrusdb.orig
# (cg) Seems to be refactored upstream - no longer needed?
#patch18 -p1 -b .make_md5_sha1_dirs.orig
%patch19 -p1 -b .mkimap.orig
%patch21 -p1 -b .sieve_port.orig
%patch22 -p1 -b .user_deny_verbosity
# we run Postfix chroot
%patch23 -p1 -b .prefork-conf-chroot
## Extra documentation
mkdir -p extradocs
for i in %{SOURCE2} %{SOURCE4} %{SOURCE19} ; do
  cp $i extradocs
done 

## remove cvs file
rm -f doc/text/.cvsignore

## regenerate html man pages
pushd man
for mp in *[1-8] ; do groff -m man -T html $mp > ../doc/man/$mp.html ; done
popd

# fix build under mdx8.2
perl -ni -e "print unless /^AC_PREREQ/" configure.in

# fix conditional pam config file
install -m 0644 %{SOURCE8} cyrus-imapd.pamd

# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
%serverbuild

CPPFLAGS="-I%{_includedir}/et $CPPFLAGS"
export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CFLAGS
LDFLAGS="-L%{_libdir}"
export LDFLAGS

#with the existing autom4te.cache autoheader would fail with the message
#Can't locate object method "path" via package "Request" at /usr/share/autoconf/Autom4te/C4che.pm line 69, <GEN1> line 111.
#

rm -rf autom4te.cache configure
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force; aclocal -I cmulocal; autoheader; autoconf

%configure2_5x \
%if %{IDLED}
    --enable-idled \
%endif
%if !%{with_snmp}
    --without-snmp \
%endif
%if %{with_ldap}
    --with-ldap=/usr \
%endif
%if %{with_mysql}
    --with-mysql --with-mysql-incdir=/usr/include/mysql \
%endif
%if %{with_pgsql}
    --with-pgsql \
%endif
%if %{with_sqlite}
    --with-sqlite \
%endif
    --with-extraident="Mageia-RPM-%{version}-%{release}" \
    --with-syslogfacility=MAIL \
    --with-bdb \
    --enable-murder \
    --enable-netscapehack \
    --enable-nntp \
    --with-perl=%{__perl} \
    --with-cyrus-prefix=%{_cyrexecdir} \
    --with-service-path=%{_cyrexecdir}

make clean
# no parallel make - 2.3.10
make

# Modify docs master --> cyrus-master
pushd man
  perl -pi -e "s#master\(8\)#cyrus-master(8)#" `ls *5 *8`
  cd ../doc
  perl -pi -e "s#master#cyrus-master#g;" man.html
  cd man
  perl -pi -e "s#master\(8\)#cyrus-master(8)#;" `ls *html`
popd

# Modify path in perl scripts
pushd perl/imap/examples
  perl -pi -e "s#/usr/local/bin/perl#%{__perl}#" `find . -type f -name "*.pl"`
popd

# Cleanup of doc dir
find doc perl -name CVS -type d | xargs -r rm -fr
find doc -name "*~" -type f | xargs -r rm -f
find doc -name "*.*.orig" -type f | xargs -r rm -f

rm -f doc/Makefile.dist
rm -f doc/text/htmlstrip.c

# modify lmtp socket path in .conf files
perl -pi -e "s#/var/imap#%{_vardata}#" %{_confdir}/*.conf

%install
%makeinstall_std
%makeinstall_std -C man

%{__install} -m 755 imtest/imtest	%{buildroot}%{_cyrexecdir}/
%{__install} -m 755 perl/imap/cyradm	%{buildroot}%{_cyrexecdir}/

# Install tools
for tool in dohash masssievec mkimap mknewsgroups rehash translatesieve undohash  upgradesieve ; do
	 test -f tools/${tool} && %{__install} -m 755 tools/${tool} %{buildroot}%{_cyrexecdir}/
done
%{__install} -m 755 %{SOURCE13} %{buildroot}%{_cyrexecdir}/imapcreate

# Create directories
%{__install} -d \
%if %{with_snmp}
        %{buildroot}%{_datadir}/snmp/mibs \
%endif
%if %{with_ldap}
        %{buildroot}%{_vardata}/ptclient/ \
%endif
	%{buildroot}%{_unitdir} \
	%{buildroot}%{_sysconfdir}/{pam.d,sysconfig,cron.daily} \
	%{buildroot}%{_libdir}/sasl \
	%{buildroot}%{_bindir} \
	%{buildroot}%{_spooldata}/stage. \
	%{buildroot}%{_vardata}/{user,quota,proc,log,msg,socket,db,sieve,rpm,backup}
# we need this dir for the chrooted postfix for making lmtp working
%if %{PREFORK}	
        %{__install} -d 750 %{buildroot}%{_var}/spool/postfix/extern/cyrus
%endif

# Install additional files
%{__install} -m 755 %{SOURCE15}   %{buildroot}%{_cyrexecdir}/cvt_cyrusdb_all

# Install config files
%{__install} -m 644 %{_cyrusconf} %{buildroot}%{_sysconfdir}/cyrus.conf
%{__install} -m 644 %{SOURCE6}    %{buildroot}%{_sysconfdir}/imapd.conf

%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/pop
%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/imap
%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/sieve
%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/mupdate
%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/lmtp
%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/nntp
%{__install} -m 644 cyrus-imapd.pamd %{buildroot}%{_sysconfdir}/pam.d/csync

%{__install} -m 644 %{SOURCE12}   %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -m 644 %{SOURCE10}   %{buildroot}%{_unitdir}/%{name}.service
%{__install} -m 755 %{SOURCE20}   %{buildroot}%{_sysconfdir}/cron.daily/%{name}
%{__install} -m 755 %{SOURCE22}   %{buildroot}%{_cyrexecdir}/cyr_systemd_helper

%if %{with_snmp}
# Install snmp mibs
%{__install} -m 644 master/CYRUS-MASTER.mib %{buildroot}%{_datadir}/snmp/mibs/CYRUS-MASTER-MIB.txt
%{__install} -m 644 %{SOURCE21} %{buildroot}%{_datadir}/snmp/mibs/CMU-MIB.txt
%endif

# Install README.RPM
%{__install} -m 644 %{SOURCE14} README.RPM
cat << EOF >> README.RPM

RPM BUILD TIME CONFIGURATION OPTIONS

This RPM package has been compiled with the following options:

use saslauth group
SASLGROUP: %{SASLGROUP}

use preforking cyrus.conf
PREFORK: %{PREFORK}

enable IDLED support
IDLED: %{IDLED}

enable full directory hash
FULLDIRHASH: %{FULLDIRHASH}

EOF

# Install templates
%{__install} -m 755 -d doc/conf
%{__install} -m 644 %{_confdir}/*.conf doc/conf/

# Rename 'master' binary and manpage to avoid crash with postfix
mv -f %{buildroot}%{_cyrexecdir}/master	%{buildroot}%{_cyrexecdir}/cyrus-master
mv -f %{buildroot}%{_mandir}/man8/master.8 %{buildroot}%{_mandir}/man8/cyrus-master.8
cp -af doc/man/master.8.html doc/man/cyrus-master.8.html

# Create symlinks
ln -sf ../lib/cyrus-imapd/cyradm %{buildroot}%{_bindir}/
ln -sf ../lib/cyrus-imapd/imtest %{buildroot}%{_bindir}/
ln -sf ../lib/cyrus-imapd/imapcreate %{buildroot}%{_bindir}/

# required if upgrading from 2.2.x -> 2.3.6+
%{__install} -m 755 tools/migrate-metadata %{buildroot}%{_cyrexecdir}/migrate-metadata

# provide the cyrusMaster.conf file, discovered by doing:
# /usr/lib/cyrus-imapd/cyrus-master -p /var/run/cyrus-master.pid -D
%if %{with_snmp}
install -d %{buildroot}/var/lib/net-snmp
echo "# placeholder" > %{buildroot}/var/lib/net-snmp/cyrusMaster.conf
%endif

# cleanup
find %{buildroot}%{perl_vendorarch} -name "*.annotate" | xargs rm -f

%pre
# Create 'cyrus' user on target host
%if %{SASLGROUP}
/usr/sbin/groupadd -r %{_saslgroup} 2> /dev/null || :
/usr/sbin/useradd -c "Cyrus IMAP Server" -d %{_vardata} -g %{_cyrusgroup} \
				-G %{_saslgroup} -s /bin/bash -r %{_cyrususer} 2> /dev/null || :
%else
/usr/sbin/useradd -c "Cyrus IMAP Server" -d %{_vardata} -g %{_cyrusgroup} \
	-s /bin/bash -r %{_cyrususer} 2> /dev/null || :
%endif

%post
if [ $1 = 1 ] ; then
# make sure we own the stuff, otherwise /var/log/mail/* will fill
# the whole disk with error messages...
chown -R %{_cyrususer}:%{_cyrusgroup} %{_vardata} %{_spooldata}
fi
%_create_ssl_certificate cyrus-imapd
chown %{_cyrususer}:%{_cyrusgroup} /etc/pki/tls/private/cyrus-imapd.pem


# Force synchronous updates only on ext2 filesystems
# Note: This will slow down user creation for 10.000+ users!
for i in %{_vardata}/{user,quota} %{_spooldata}
do
	if [ `find $i -maxdepth 0 -printf %F` = "ext2" ]; then
		chattr -R +S $i 2>/dev/null
	fi
done

# Add sieve service if necessary
if ! grep -q ^sieve %{_sysconfdir}/services; then
	echo -e 'sieve\t\t2000/tcp\t\t\t# Sieve mail filter daemon' >> %{_sysconfdir}/services
fi

# Add lmtp service if necessary
if ! grep -q ^lmtp %{_sysconfdir}/services; then
	echo -e 'lmtp\t\t2003/tcp\t\t\t# Local mail delivery protocol (rfc2033)' >> %{_sysconfdir}/services
fi

# upgrade from previous versions with compiled in database backends
rm -f %{_vardata}/rpm/db.cfg.cache 2> /dev/null

# "ctl_deliver -E" is deprecated, now is "cyr_expire -E"
if grep -q "ctl_deliver *-E" %{_sysconfdir}/cyrus.conf ; then
  perl -pi -e "s/ctl_deliver *-E/cyr_expire -E/" %{_sysconfdir}/cyrus.conf
fi
# compile to byte code sieve scripts on upgrade
# masssievec needs to run:
# - for versions before 2.2.0 (2.1.x) since they had no bytecode
# - upgrading from 2.2.0 since the bytecode has changed
# - upgrading from 2.2.1 since the bytecode has changed
if [ $1 != 1 ] ; then 
  if [ -f %{_vardata}/rpm/version ] ; then
    oldversion=`cat %{_vardata}/rpm/version`
    if [ "$oldversion" = "2.2.0" -o "$oldversion" = "2.2.1" ] ; then
      compile_needed=1
    else
      compile_needed=0
    fi
  else
    # versions prior to 2.2.x didn't write the file
    compile_needed=1
  fi
  if [ $compile_needed = 1 ] ; then
    echo "compiling sieve scripts"
    su cyrus -c "%{_cyrexecdir}/masssievec %{_cyrexecdir}/sievec"
  fi
fi

# let's put a dummy imap/user_deny.db in so it doesn't fill the logs
touch /var/lib/imap/user_deny.db
chown cyrus:mail /var/lib/imap/user_deny.db

# cache the installed version for next upgrade
echo %{version} > %{_vardata}/rpm/version

%_post_service %{name}

%preun
%_preun_service %{name}
if [ $1 = 0 ]; then
	/usr/sbin/userdel %{_cyrususer} 2> /dev/null || :
%if %{SASLGROUP}
	if [ "`grep ^%{_saslgroup}: %{_sysconfdir}/group | cut -d: -f4-`" = "" ]; then
		/usr/sbin/groupdel %{_saslgroup} 2> /dev/null || :
	fi
%endif
	rm -f %{_vardata}/socket/lmtp 2> /dev/null
	rm -f %{_vardata}/rpm/version 2> /dev/null
fi

%triggerin -- %{name} < 2.0.0
#To avoid automatic restart of the daemon when upgrading from versions
#1.x.x of Cyrus IMAPd in rpm form, be sure the old daemon is stopped
/sbin/service %{name} stop >/dev/null 2>&1 || :

%files
%doc doc/* extradocs/*
%config(noreplace) %{_sysconfdir}/*.conf
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/pop
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/imap
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/sieve
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/lmtp
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%dir %{_cyrexecdir}
%{_cyrexecdir}/arbitron
%{_cyrexecdir}/chk_cyrus
%{_cyrexecdir}/ctl_cyrusdb
%{_cyrexecdir}/ctl_deliver
%{_cyrexecdir}/ctl_mboxlist
%{_cyrexecdir}/cvt_cyrusdb
%{_cyrexecdir}/cvt_cyrusdb_all
%{_cyrexecdir}/cyr_dbtool
%{_cyrexecdir}/cyr_df
%{_cyrexecdir}/cyrdump
%{_cyrexecdir}/cyr_expire
%{_cyrexecdir}/cyr_synclog
%{_cyrexecdir}/cyr_sequence
%{_cyrexecdir}/cyr_userseen
%{_cyrexecdir}/cyr_systemd_helper
%{_cyrexecdir}/cyrus-master
%{_cyrexecdir}/dohash
%{_cyrexecdir}/fud
%{_cyrexecdir}/imapd
%{_cyrexecdir}/ipurge
%{_cyrexecdir}/lmtpd
%{_cyrexecdir}/masssievec
%{_cyrexecdir}/mbexamine
%{_cyrexecdir}/mbpath
%{_cyrexecdir}/migrate-metadata
%{_cyrexecdir}/mkimap
%{_cyrexecdir}/mknewsgroups
%{_cyrexecdir}/notifyd
%{_cyrexecdir}/pop3d
%{_cyrexecdir}/quota
%{_cyrexecdir}/reconstruct
%{_cyrexecdir}/rehash
%{_cyrexecdir}/sievec
%{_cyrexecdir}/sieved
%{_cyrexecdir}/squatter
%{_cyrexecdir}/timsieved
%{_cyrexecdir}/tls_prune
%{_cyrexecdir}/translatesieve
%{_cyrexecdir}/undohash
%{_cyrexecdir}/unexpunge
%{_cyrexecdir}/upgradesieve
%if %{with_ldap}
%{_cyrexecdir}/ptdump
%{_cyrexecdir}/ptexpire
%{_cyrexecdir}/ptloader
%endif
%if %build_autocreate
%{_cyrexecdir}/compile_sieve
%endif
%{_cyrexecdir}/smmapd
%if %{IDLED}
%{_cyrexecdir}/idled
%endif
%attr(4754,%{_cyrususer},%{_cyrusgroup}) %{_cyrexecdir}/deliver
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %dir %{_vardata}
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/user
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/quota
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/proc
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/log
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/msg
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/socket
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/db
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/sieve
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/rpm
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/backup
%if %{with_ldap}
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_vardata}/ptclient
%endif
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %dir %{_spooldata}
%attr(0750,%{_cyrususer},%{_cyrusgroup}) %{_spooldata}/*
%if %{with_snmp}
%{_datadir}/snmp/mibs/*
%attr(0644,%{_cyrususer},%{_cyrusgroup}) /var/lib/net-snmp/cyrusMaster.conf
%endif
%if %{PREFORK}	
%attr(0750,cyrus,postfix) %dir %{_var}/spool/postfix/extern/cyrus
%endif
%{_mandir}/man5/*
%{_mandir}/man8/arbitron.8*
%{_mandir}/man8/chk_cyrus.8*
%{_mandir}/man8/ctl_cyrusdb.8*
%{_mandir}/man8/ctl_deliver.8*
%{_mandir}/man8/ctl_mboxlist.8*
%{_mandir}/man8/cvt_cyrusdb.8*
%{_mandir}/man8/cyr_dbtool.8*
%{_mandir}/man8/cyr_df.8*
%{_mandir}/man8/cyr_expire.8*
%{_mandir}/man8/cyr_synclog.8*
%{_mandir}/man8/cyrus-master.8*
%{_mandir}/man8/deliver.8*
%{_mandir}/man8/fud.8*
%{_mandir}/man8/idled.8*
%{_mandir}/man8/imapd.8*
%{_mandir}/man8/ipurge.8*
%{_mandir}/man8/lmtpd.8*
%{_mandir}/man8/mbexamine.8*
%{_mandir}/man8/mbpath.8*
%{_mandir}/man8/notifyd.8*
%{_mandir}/man8/pop3d.8*
%{_mandir}/man8/quota.8*
%{_mandir}/man8/reconstruct.8*
%{_mandir}/man8/rmnews.8*
%{_mandir}/man8/smmapd.8*
%{_mandir}/man8/squatter.8*
%{_mandir}/man8/sync_client.8*
%{_mandir}/man8/syncnews.8*
%{_mandir}/man8/sync_reset.8*
%{_mandir}/man8/sync_server.8*
%{_mandir}/man8/timsieved.8*
%{_mandir}/man8/tls_prune.8*
%{_mandir}/man8/unexpunge.8*
%doc COPYRIGHT README README.RPM
%if %{build_autocreate}
%doc README.autocreate
%endif

%files murder
%doc doc/text/install-murder
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/mupdate
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/csync
%{_cyrexecdir}/lmtpproxyd
%{_cyrexecdir}/mupdate
%{_cyrexecdir}/pop3proxyd
%{_cyrexecdir}/proxyd

%files nntp
%doc doc/text/install-netnews
%config(noreplace) %verify(not size,not md5) %{_sysconfdir}/pam.d/nntp
%{_cyrexecdir}/fetchnews
%{_cyrexecdir}/nntpd
%{_mandir}/man8/nntpd.8*
%{_mandir}/man8/fetchnews.8*

%files devel
%{_includedir}/cyrus
%{_libdir}/lib*.a
%{_mandir}/man3/imclient.3*

%files -n perl-Cyrus
%doc perl/imap/README perl/imap/Changes perl/imap/examples
%{perl_vendorarch}/auto/Cyrus
%{perl_vendorarch}/Cyrus
%{_mandir}/man3/Cyrus*

%files utils
%{_cyrexecdir}/cyradm
%{_cyrexecdir}/imtest
%{_cyrexecdir}/imapcreate
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Sep 28 2015 spuhler <spuhler> 2.4.18-1.mga5
+ Revision: 884319
- update to vers, 2.4.18
  * This fixes security issue, bug #16823
- and these upstream bugs
  * Security fix: handle urlfetch range starting outside message range
  * A bunch of cleanups and fixes to compiling
  * A bunch of sieve cleanups
  * Enhanced SSL/TLS configuration options
  * Disable use of SSLv2/SSLv3
  * Allow SQL backend for mboxlist and statuscache (thanks Julien Coloos)
  * Fixed Task #116: correct LIST response for domains starting with ?\226?\128?\152inbox.?\226?\128?\153
  * Fixed Task #76: fixed lmtpd userdeny db checks (thanks Leena Heino)
  * Fixed bug #3856: lmtpd now performs userdeny checks
  * Fixed bug #3848: support charset aliases in encoded headers
  * Fixed bug #3853: disconnect_on_vanished_mailbox: release mailbox lock before exiting (thanks Wolfgang Breyha)
  * Fixed bug #3415: fixed nntpd LIST/GROUP bug
  * Fixed bug #3784: no longer crash in THREAD REFERENCES when messages reference themselves
  * Fixed bug #3757: don?\226?\128?\153t segfault on mailbox close with no user
- removed patch4 -p1 -b .autosieve.orig
  * the pacakge doesn't build anymore with this patch
  * neither Fedora nor opensuse uses it.
  * The last activity upstream on this: Dec, 22 2009 : Autosieve patch (version 0.6) released for Cyrus IMAPd 2.3.16

* Tue Nov 25 2014 cjw <cjw> 2.4.17-20.mga5
+ Revision: 799124
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.4.17-19.mga5
+ Revision: 741977
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.4.17-18.mga5
+ Revision: 693720
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4.17-17.mga5
+ Revision: 678659
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.4.17-16.mga5
+ Revision: 632200
- perl 5.20.0 rebuild

* Sat Mar 22 2014 spuhler <spuhler> 2.4.17-15.mga5
+ Revision: 606561
- idled is need to run. Otherwise we'll see lots of errors
- uncommented the idled line

* Sat Mar 22 2014 spuhler <spuhler> 2.4.17-14.mga5
+ Revision: 606500
- added the conf-chroot.patch file
- activated ptloader (otherwise we get error messages)
- changed /etc/cyrus.conf to make it work with chrooted postfix
- added dir cyrus to /var/spool/postfix/extern/
  * to make it accessible for chrooted postfix (lmtp)
- remove some old kolab-2 stuff

* Sun Mar 16 2014 spuhler <spuhler> 2.4.17-13.mga5
+ Revision: 604056
- removed old kolab related patches
- removed init files
 * we use systemd
- deleted obsoleted cyrus.init file

* Sat Oct 19 2013 umeabot <umeabot> 2.4.17-12.mga4
+ Revision: 533504
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 fwang <fwang> 2.4.17-11.mga4
+ Revision: 473649
- we now build with libsasl3, which is much higher than 2.1.15

* Sat Aug 31 2013 spuhler <spuhler> 2.4.17-10.mga4
+ Revision: 473615
-rebuild against new cyrus-sasl lib

* Tue Aug 27 2013 luigiwalser <luigiwalser> 2.4.17-9.mga4
+ Revision: 472071
- rebuild for cyrus-sasl

* Wed May 29 2013 fwang <fwang> 2.4.17-8.mga4
+ Revision: 430388
- rebuild for new perl

* Mon May 06 2013 colin <colin> 2.4.17-7.mga3
+ Revision: 412409
- Silence a debug message for user_deny.db (lost when 2.3.16's user_deny_verbosity patch was dropped)

* Thu Apr 18 2013 spuhler <spuhler> 2.4.17-6.mga3
+ Revision: 410430
- added idled command
  corrected the config section so the idle file will actually be built.

* Tue Feb 26 2013 colin <colin> 2.4.17-5.mga3
+ Revision: 400404
- Some packaging fixups after re-enabling many patches
- Update patches for cyrus 2.4.x series
-   o Update the autocreate/autosieve patches for 2.4.x from vx.sk
-   o Disable rmquota patch build (no longer applies in 2.4.x, no update found)
-   o Update plaintext command line patch for 2.4.x
-   o Drop 64bit fixes patch (fixed upstream)
-   o Drop cyradm annotation patch (applied upstream)
-   o Drop string literals patch (fixed upstream)
-   o Drop statuscache verbosity patch (equivalent refactor upstream)
-   o Drop user_deny.db verbosity patch (equivalent refactor upstream)
-   o Drop sync client tls capability patch (fixed upstream)
-   o Drop perl compatibility patch (fixed upstream)
-   o Still disabled: mancyrusdb patch (needs rediff)
-   o Still disabled: md5/sha1 patch (refactored upstream - no longer needed?)

* Sat Feb 02 2013 spuhler <spuhler> 2.4.17-4.mga3
+ Revision: 394129
- in order to prevent to logs filling
  added touch /var/lib/imap/user_deny.db
  added chown cyrus:mail /var/lib/imap/user_deny.db

* Fri Jan 11 2013 umeabot <umeabot> 2.4.17-3.mga3
+ Revision: 348531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 spuhler <spuhler> 2.4.17-2.mga3
+ Revision: 336975
- bumped rel for rebuild
- replaced the obsolete comman 'runuser' with su -c

* Sat Dec 15 2012 spuhler <spuhler> 2.4.17-1.mga3
+ Revision: 331230
- upgrade to 2.4.17
- deleted signature file for version 2.4.16
- added signature file for version 2.4.17

* Tue Jul 31 2012 fwang <fwang> 2.4.16-3.mga3
+ Revision: 276368
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 2.4.16-2.mga3
+ Revision: 274848
- build db 5.2

* Sun Jun 10 2012 spuhler <spuhler> 2.4.16-1.mga3
+ Revision: 259168
- ugrade to version 2.4.16

* Thu May 31 2012 jquelin <jquelin> 2.4.13-7.mga3
+ Revision: 252135
- perl 5.16 rebuild

* Sat Apr 28 2012 tmb <tmb> 2.4.13-6.mga2
+ Revision: 233654
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 28 2012 tmb <tmb> 2.4.13-5.mga2
+ Revision: 233547
- rebuild for versioned rpm-helper requires

* Mon Apr 23 2012 spuhler <spuhler> 2.4.13-4.mga2
+ Revision: 232749
- added missing cyr_systemd_helper file

* Fri Apr 20 2012 guillomovitch <guillomovitch> 2.4.13-3.mga2
+ Revision: 232094
- sanitize pre/post/preun/postun dependencies
- drop old ssl cert uppgrade procedure
- spec cleanup
- systemd support

* Fri Apr 20 2012 luigiwalser <luigiwalser> 2.4.13-2.mga2
+ Revision: 232025
- s/Mandriva/Mageia/ in ident string

* Thu Jan 26 2012 spuhler <spuhler> 2.4.13-1.mga2
+ Revision: 201745
- upgrade to 2.4.13
  deps
- upgrade to 2.4.13

  + guillomovitch <guillomovitch>
    - rebuild for latest net-snmp

* Mon Jun 13 2011 sander85 <sander85> 2.3.16-5.mga2
+ Revision: 105538
- fix build
- perl 5.14

* Thu Mar 24 2011 dmorgan <dmorgan> 2.3.16-4.mga1
+ Revision: 77107
- Rebuild against new mysql

* Sat Feb 19 2011 spuhler <spuhler> 2.3.16-3.mga1
+ Revision: 54387
- increased rel from 1 to 2 for rebuild with new perl

* Sun Jan 23 2011 ennael <ennael> 2.3.16-2.mga1
+ Revision: 33420
- remove mdkversion
- imported package cyrus-imapd


* Tue Oct 12 2010 Funda Wang <fwang@mandriva.org> 2.3.16-2mdv2011.0
+ Revision: 585010
- rebuild

* Sun Oct 03 2010 Luca Berra <bluca@mandriva.org> 2.3.16-1mdv2011.0
+ Revision: 582777
- New version 2.3.16
  updated autosieve and autocreate patches
  removed Kolab imapd-annotate patch (merged upstream)
  reworked Kolab ldap patch
  reworked spec file (renumbered patches, removed compat macros)
  remove skiplist magic (it is already known to file)
  move ssl certificates from /etc/ssl to /etc/pki/tls
  add verbosity patches from simon matter
  add other misc patcges from simon
  fix cron daily script

* Sat Sep 11 2010 Thomas Spuhler <tspuhler@mandriva.org> 2.3.15-10mdv2011.0
+ Revision: 577601
- rebuilt with perl 5.12.2

* Sun Aug 01 2010 Luca Berra <bluca@mandriva.org> 2.3.15-9mdv2011.0
+ Revision: 564212
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 2.3.15-8mdv2011.0
+ Revision: 556351
- rebuild for perl 5.12

* Mon Apr 05 2010 Funda Wang <fwang@mandriva.org> 2.3.15-7mdv2010.1
+ Revision: 531738
- rebuild for new openssl

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.15-6mdv2010.1
+ Revision: 511557
- rebuilt against openssl-0.9.8m

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.15-5mdv2010.1
+ Revision: 484970
- rebuild
- really link against bdb 4.8

* Fri Jan 01 2010 Funda Wang <fwang@mandriva.org> 2.3.15-4mdv2010.1
+ Revision: 484838
- rebuild for db 4.8

* Fri Jan 01 2010 Oden Eriksson <oeriksson@mandriva.com> 2.3.15-3mdv2010.1
+ Revision: 484744
- rebuilt against bdb 4.8

* Thu Oct 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.15-2mdv2010.0
+ Revision: 457611
- rebuilt against new net-snmp libs

* Thu Sep 10 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.15-1mdv2010.0
+ Revision: 436545
- 2.3.15
- rediffed P11,P23
- fixed linkage (P27)

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.14-2mdv2010.0
+ Revision: 413308
- rebuild

* Wed Apr 08 2009 Oden Eriksson <oeriksson@mandriva.com> 2.3.14-1mdv2009.1
+ Revision: 365126
- 2.3.14
- new autosieve and autocreate patches (P11,P13)
- rediffed the string format patch and added one more fix (P26)

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.13-1mdv2009.1
+ Revision: 314815
- 2.3.13
- really link against bdb-4.7 libs
- new upstream patches; P11,P13
- rediffed P17,P22,P23
- added P26 to make it build with -Werror=format-security (thanks pixel)
- enable the new mysql, postgresql and sqlite backends (enabled per default for now)

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.12-0.p2.5mdv2009.1
+ Revision: 314524
- rediffed fuzzy patches
- rebuilt against db4.7

* Tue Sep 16 2008 Luca Berra <bluca@mandriva.org> 2.3.12-0.p2.4mdv2009.0
+ Revision: 285186
- enable building of pts/ldap
- fix a problem with ptloader and sasl binds

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.12-0.p2.2mdv2009.0
+ Revision: 237677
- rebuild

* Sun May 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.12-0.p2.1mdv2009.0
+ Revision: 208742
- fix buildroot
- 2.3.12p2
- new P11,P13
- rediffed P17,P22

* Thu Apr 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.11-7mdv2009.0
+ Revision: 195128
- revert the "conform to the 2008 specs (don't start the services per
  default)" changes and let this be handled some other way...

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.11-6mdv2008.1
+ Revision: 190297
- don't start it per default

* Sat Feb 23 2008 Oden Eriksson <oeriksson@mandriva.com> 2.3.11-5mdv2008.1
+ Revision: 174079
- make it backportable

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 2.3.11-4mdv2008.1
+ Revision: 157244
- rebuild with fixed %%serverbuild macro

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.3.11-3mdv2008.1
+ Revision: 151350
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Andreas Hasenack <andreas@mandriva.com> 2.3.11-2mdv2008.1
+ Revision: 140374
- updated to version 2.3.11

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.10-2mdv2008.1
+ Revision: 136258
- rebuilt against bdb 4.6.x libs
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - s/mandrake/mandriva/

* Mon Nov 05 2007 Andreas Hasenack <andreas@mandriva.com> 2.3.10-1mdv2008.1
+ Revision: 106031
- updated to version 2.3.10
- dropped db patch, same effect can be obtained with a configure option
- updated rmquota and auto* patches, redid cyradm_annotate one

  + Thierry Vignaud <tv@mandriva.org>
    - kill file require on chkconfig

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.8-4mdv2008.0
+ Revision: 60200
- rebuilt against new net-snmp libs

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.3.8-3mdv2008.0
+ Revision: 45145
- rebuild with new serverbuild macro (-fstack-protector-all)

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2.3.8-2mdv2008.0
+ Revision: 43136
- using %%serverbuild macro

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.8-1mdv2008.0
+ Revision: 33602
- fix deps (net-snmp-mibs)
- add the /var/lib/net-snmp/cyrusMaster.conf file

* Mon May 28 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.8-0mdv2008.0
+ Revision: 32052
- 2.3.8
- dropped upstream patches; P9,P26,P27
- rediffed P17
- new upstream P11,P13,P14
- new P22,P23 (from gentoo)
- misc spec file fixes


* Wed Aug 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.13-4mdv2007.0
+ Revision: 56199
- added parallel init information to the initscript (closes #24222)

* Sun Aug 06 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.13-3mdv2007.0
+ Revision: 53022
- added some commented options to default imapd.conf (#22197)
- bunzip pam conf files
- import cyrus-imapd-2.2.13-2mdv2007.0

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.13-2mdv2007.0
- added P27 (#23051)

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.13-1mdv2007.0
- 2.2.13
- drop upstream patches; P0,P24,P25
- new P11
- rediffed patches; P21,P23
- cleaned up the spec file some
- make it backportable for older pam (S7,S8)

* Fri May 26 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.12-22mdk
- added patch from CVS to fix a compatibility issue with sasl-2.1.22 final
  (imtest was incorrectly relying on a sasl bug that was fixed)
- removed buildrequires for XFree86-devel, couldn't find anything using it

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 2.2.12-21mdk
- rebuild for sparc

* Tue Apr 18 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.12-20mdk
- added patch for timsieved, from amal@krasn.ru, to fix
  "Database handles remain at environment close" errors when using
  berkeley db for tls sessions

* Fri Mar 24 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.12-19mdk
- updated auto-* patches

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-18mdk
- rebuilt against new net-snmp with new major (10)

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-17mdk
- rebuilt against net-snmp that has new major (9)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-16mdk
- rebuilt against openssl-0.9.8a

* Thu Sep 08 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.12-15mdk
- added patch from wes@umich.edu to avoid an off-by-one error which
  was causing cyrus to reject messages with long lines. Thanks to 
  joeghi for supplying a sample message and being patient.
  (fixes https://bugzilla.andrew.cmu.edu/show_bug.cgi?id=2676)

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-14mdk
- rebuilt against new openldap-2.3.6 libs

* Sat Aug 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-13mdk
- added one more annotation patch for kolab2 from the kolab cvs

* Fri Aug 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-12mdk
- revert the lib64 fixes

* Fri Aug 05 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-11mdk
- /usr/lib/cyrus-imapd is now /usr/lib64/cyrus-imap

* Sat Jul 30 2005 Andreas Hasenack <andreas@mandriva.com> 2.2.12-10mdk
- enabled virtual domains in ldap by default (needed by Kolab2)
- moved virtual domains' buildrequires (openldap) outside the nested %%if
  it was in (otherwise, it would only be required if snmp support was also
  enabled)

* Sat Jul 23 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-9mdk
- use a more descriptive build option for virtual domains in ldap (Andreas Hasenack)
- reworked the virtual domains in ldap patch (Andreas Hasenack)

* Thu Jul 07 2005 Oden Eriksson <oeriksson@mandriva.com> 2.2.12-8mdk
- added rediffed P21, P22 from the openpkg kolab2 packages
- added one gcc4 patch by Ondrej Sury

* Sun Mar 20 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.12-7mdk
- fix #9788, conflicts is in the eyes of the beholder...

* Sat Mar 19 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.12-6mdk
- only do the recursive chown if not upgrading (Luca Olivetti)

* Thu Mar 17 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.12-5mdk
- make sure cyrus:mail owns /var/lib/imap 
  and /var/spool/imap in %%post

* Fri Mar 11 2005 Luca Berra <bluca@vodka.it> 2.2.12-4mdk
- revert liblm_sensors-devel change, fixed in net-snmp package

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.12-3mdk
- buildrequires: liblm_sensors-devel (cyrus-imapd/master)

* Fri Feb 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2.12-2mdk
- rebuilt against the system bdb (P20)

* Tue Feb 15 2005 Luca Olivetti <luca@olivetti.cjb.net> 2.2.12-1mdk
- 2.2.12 (bug fix release)
- ugly compatibility macros for uglier release tag. See
  http://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag
- new autocreate and autosievefolder patches

* Thu Jan 13 2005 Luca Olivetti <luca@olivetti.cjb.net> 2.2.10-2mdk
- drop last digit from release tag
- fetchnews man page moved to cyrus-imapd-nntp subpackage (conflict with
  leafnode, thanks to Marek Kruz.el <marek@good.solutions.net.pl>
- new version of autocreate patch
- removed last chunk from 64bit fixes patch (the fault was in the
  previous autocreate patch, not in cyrus proper)

* Wed Nov 24 2004 Luca Olivetti <luca@olivetti.cjb.net> 2.2.10-1mdk
- 2.2.10 (security fixes)
- removed failing hunk in 64-bit fixes patch, it shouldn't be necessary
  anymore

* Wed Oct 27 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.8-3mdk
- some 64-bit fixes
- stick to /usr/lib/cyrus-imapd as _cyrexecdir

* Sun Aug 29 2004 Luca Berra <bluca@vodka.it> 2.2.8-2.mdk
- rebuild with db-4.2

* Sat Jul 31 2004 Luca Olivetti <luca@olivetti.cjb.net> 2.2.8-1mdk
- 2.2.8

* Wed Jul 28 2004 Luca Olivetti <luca@olivetti.cjb.net> 2.2.7-1mdk
- 2.2.7
- new autocreate,autosievefolder,rmquota patches
- removed p100 (quota patches from cvs)
- removed p2 and p3 (man pages fixes, fixed upstream)
- patch9 (munge8bit) and patch17 (plaintext) no longer patch html manpage
  (it's less tiresome to regenerate them with groff)
- removed patch19 (masssievec, fixed upstream)
- cleanup

* Fri Jul 02 2004 Luca Olivetti <luca@olivetti.cjb.net> 2.2.6-2mdk
- new imapcreate.pl script
- added quota patches from cvs

* Thu Jun 24 2004 Luca Olivetti <luca@olivetti.cjb.net> 2.2.6-1mdk
- 2.2.6
- changed version detection defines (and now it builds under 10.0 again)
- new autocreate,autosievefolder,rmquota patches
- removed patch0 (mandir, fixed upstream)
- removed patch1 (cflags, fixed upstream)
- rediffed patch9 (munge8bit)
- removed patch16 (netsnmp, , upstream package already has net-snmp support)
- rediffed patch17 (disallow plaintext login with a command line switch)
- removed patch100 (fix list command for non personal namespaces, fixed
  upstream)
- added BuildRequires libelfutils-devel for net-snmp

* Fri Jun 18 2004 Luca Berra <bluca@vodka.it> 2.2.3-7mdk
- updated p15 and rebuilt against updated net-snmp
- add 10.1 to recognized versions

* Tue Apr 06 2004 Florin <florin@mandrakesoft.com> 2.2.3.6
- update to 2.2.3 (merge with the L. Olivetti's work)

